namespace Brizco.Domain.Entities.ShiftPlans;
public partial class ShiftPlan
{
    public ShiftPlanUser AddUser(Guid positionId, Guid userId)
    {
        var planUser = new ShiftPlanUser(Id, positionId, userId);
        Users.Add(planUser);
        return planUser;
    }

    public void CompletePlan(string completeDescription, int completePercent)
    {
        IsCompleted = true;
        CompleteDescription = completeDescription;
        CompletePercent = completePercent;
    }
}